import React, { useEffect } from 'react';
import styled from 'styled-components';
import { assert } from '../../../../../common/utils';
import { Box } from '../../../../..';
var EllipsizingText = styled.span.withConfig({
  displayName: "SelectedValueMultiple__EllipsizingText",
  componentId: "sc-11uzizr-0"
})(["width:100%;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;text-align:left;"]);
var StyledFlexedBox = styled(Box).withConfig({
  displayName: "SelectedValueMultiple__StyledFlexedBox",
  componentId: "sc-11uzizr-1"
})(["width:", ";display:flex;align-items:center;"], function (p) {
  return "calc(100% - ".concat(p.theme.spacing.unit(6), "px)");
});
export var SelectedValue = function SelectedValue() {
  useEffect(function () {
    assert(false, 'Input.Select: You probably want to redefine default SelectedValue message for your case.');
  }, []);
  return React.createElement(StyledFlexedBox, {
    px: 2
  }, React.createElement(EllipsizingText, null, "Put logic for how to present multiple selection here"));
};